import https from '@/plugins/luch-request_0.0.7/request'
/** *
 * 门店列表 b
 */
export const getList = data => {
	return https.get('/shop/list', data)
}

/** *
 * 修改门店 b
 */
export const updateShop = data => {
	return https.post('/shop/update', data)
}

/** *
 * 添加门店 b
 */
export const addShop = data => {
	return https.post('/shop/add', data)
}

/** *
 * 删除门店 b
 */
export const delShop = data => {
	return https.get('/shop/delete', data)
}

/** *
 * 下载收款码 b
 */
export const downQrCode = data => {
	return https.get('/shop/download-gathering-code', data, {}, { hideError: true })
}

/** *
 * 下载注册会员码 b
 */
export const downMemberCode = data => {
	return https.get('/shop/download-apply-member-code', data, {}, { hideError: true })
}